        NOLIST

;==========================================================================
;
;       Verify Processor
;
;==========================================================================
        IFNDEF __12C508
        IFNDEF __12C508A
        IFNDEF __12C509
        IFNDEF __12C509A
        IFNDEF __16C505
           MESSG "Processor-header file mismatch.  Verify selected processor."
        ENDIF
        ENDIF
        ENDIF
        ENDIF
        ENDIF

;==========================================================================
;
;       Register Definitions
;
;==========================================================================

W                EQU  H'0000'
F                EQU  H'0001'

;----- Register Files -----------------------------------------------------

INDF             EQU  H'0000'
TMR0             EQU  H'0001'
PCL              EQU  H'0002'
STATUS           EQU  H'0003'
FSR              EQU  H'0004'
OSCCAL           EQU  H'0005'
GPIO             EQU  H'0006'
IFDEF __16C505
PORTB            EQU  H'0006'
PORTC            EQU  H'0007'
ENDIF

;----- STATUS Bits -----------------------------------------------------

C                EQU  H'0000'
DC               EQU  H'0001'
Z                EQU  H'0002'
NOT_PD           EQU  H'0003'
NOT_TO           EQU  H'0004'
PA0              EQU  H'0005'
GPWUF            EQU  H'0007'
IFDEF __16C505
RBWUF            EQU  H'0007'
ENDIF

;----- OPTION Bits -----------------------------------------------------

PSA              EQU  H'0003'
T0SE             EQU  H'0004'
T0CS             EQU  H'0005'
NOT_GPPU         EQU  H'0006'
NOT_GPWU         EQU  H'0007'
IFDEF __16C505
NOT_RBPU         EQU  H'0006'
NOT_RBWU         EQU  H'0007'
ENDIF

PS0              EQU  H'0000'
PS1              EQU  H'0001'
PS2              EQU  H'0002'

;==========================================================================
;
;       RAM Definitions
;
;==========================================================================
       __MAXRAM  H'1F'

;==========================================================================
;
;       Configuration Bits
;
;==========================================================================

IFNDEF __16C505
_MCLRE_ON            EQU  H'0FFF'
_MCLRE_OFF           EQU  H'0FEF'
_CP_ON               EQU  H'0FF7'
_CP_OFF              EQU  H'0FFF'
_WDT_ON              EQU  H'0FFF'
_WDT_OFF             EQU  H'0FFB'
_LP_OSC              EQU  H'0FFC'    ; LP oscillator
_XT_OSC              EQU  H'0FFD'    ; XT oscillator
_IntRC_OSC           EQU  H'0FFE'    ; Internal RC oscillator
_ExtRC_OSC           EQU  H'0FFF'    ; External RC oscillator
ELSE
_MCLRE_ON            EQU  H'0FFF'
_MCLRE_OFF           EQU  H'0FDF'
_CP_ON               EQU  H'0FEF'
_CP_OFF              EQU  H'0FFF'
_WDT_ON              EQU  H'0FFF'
_WDT_OFF             EQU  H'0FF7'
_LP_OSC              EQU  H'0FF8'    ; LP oscillator
_XT_OSC              EQU  H'0FF9'    ; XT oscillator
_HS_OSC              EQU  H'0FFA'    ; HS oscillator
_EC_RB4EN            EQU  H'0FFB'    ; EC oscillator, RB4 enabled
_IntRC_OSC_RB4EN     EQU  H'0FFC'    ; Internal RC oscillator, RB4 enabled
_IntRC_OSC_CLKOUTEN  EQU  H'0FFD'    ; Internal RC oscillator, CLKOUT enabled
_ExtRC_OSC_RB4EN     EQU  H'0FFE'    ; External RC oscillator, RB4 enabled
_ExtRC_OSC_CLKOUTEN  EQU  H'0FFF'    ; External EC oscillator, CLKOUT enabled
ENDIF

        LIST
